<script lang="ts">
export default defineComponent({
  name: 'Render',
  props: {
    scope: Object,
    render: Function,
  },
  setup(props, { slots }) {
    const R: any = markRaw({
      render: props.render,
    })
    return () => {
      return props.render ? R.render(h, props.scope) : ''
      // return props.render ? props.render(h, props.scope) : ''
    }
  },
})
</script>
